Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4270 - termcap 2.0.8 & escaped colon
Summary: termcap 2.0.8 & escaped colon
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: termcap
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-30 12:32 UTC by ce
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-21 17:00:52 UTC


Attachments (Terms of Use)

Description ce 1999-07-30 12:32:20 UTC
A termcap capability that contains the colon (:) can no
longer be defined using one of the escape methods \072 or \:
in V2.0.8. This problem occurred after the (otherwise
excellent) shrink mechanism has been added. The solution to
the problem is easy, we only need to prevent the colon from
being shrinked:

% diff termcap-old.c termcap.c
111c111
<       if ((c & 0x7f) > 31)
---
>       if ((c & 0x7f) > 31 && c != ':')  /* Do not shrink
the colon */

I have sent this report also to hjl@gnu.ai.mit.edu and
miquels@cistron.nl

Comment 1 ce 1999-08-04 00:36:59 UTC
I have received this email from H.J. Lu:
I no longer maintain libtermcap. I am using ncurses. You may want
to send to RedHat since they still use it.

--
H.J. Lu (hjl@gnu.org)

Comment 2 Jeff Johnson 1999-08-21 17:00:59 UTC
Fixed in libtermcap-2.0.8-16 from Raw Hide. Thanks for the patch.


Note You need to log in before you can comment on or make changes to this bug.